Bug 120701 - strace misses message queue support
Summary: strace misses message queue support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-13 05:11 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 23:25:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add mq support for x86 (4.73 KB, patch)
2004-04-13 05:11 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:338 normal SHIPPED_LIVE Updated strace package 2004-09-01 04:00:00 UTC

Description Ulrich Drepper 2004-04-13 05:11:24 UTC
Description of problem:
The 2.6.6 kernel sports support for POSIX message queues.  strace
needs to catch up.

Version-Release number of selected component (if applicable):
strace-4.5.2-1.1

How reproducible:
always

Steps to Reproduce:
1.run code using POSIX message queues
2.
3.
  
Actual results:
SYS_xxx lines

Expected results:
syscall names

Additional info:
I'll attach a patch.

Comment 1 Ulrich Drepper 2004-04-13 05:11:59 UTC
Created attachment 99352 [details]
Patch to add mq support for x86

Comment 2 Roland McGrath 2004-04-14 02:45:43 UTC
Please add a note here when these system call numbers go into the
mainstream Linux kernel.

Comment 3 Ulrich Drepper 2004-04-16 08:14:01 UTC
The changes are in the upstream kernel.  I wouldn't have filed a bug
if this wasn't the case.

Comment 4 Roland McGrath 2004-04-16 21:43:28 UTC
I've merged the changes upstream and fixed some portability problems.


Comment 5 Jay Turner 2004-09-02 03:32:27 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html



Note You need to log in before you can comment on or make changes to this bug.